mbedtls_dhm_context Struct Reference

DHM context structure. More...

`#include <dhm.h>`

Collaboration diagram for mbedtls_dhm_context:
[legend]

## Data Fields

size_t | len
mbedtls_mpi | P
mbedtls_mpi | G
mbedtls_mpi | X
mbedtls_mpi | GX
mbedtls_mpi | GY
mbedtls_mpi | K
mbedtls_mpi | RP
mbedtls_mpi | Vi
mbedtls_mpi | Vf
mbedtls_mpi | pX

## Detailed Description

DHM context structure.

Definition at line 149 of file dhm.h.

## Field Documentation

mbedtls_mpi mbedtls_dhm_context::G

generator

Definition at line 153 of file dhm.h.

mbedtls_mpi mbedtls_dhm_context::GX

self = G^X mod P

Definition at line 155 of file dhm.h.

mbedtls_mpi mbedtls_dhm_context::GY

peer = G^Y mod P

Definition at line 156 of file dhm.h.

mbedtls_mpi mbedtls_dhm_context::K

key = GY^X mod P

Definition at line 157 of file dhm.h.

size_t mbedtls_dhm_context::len

size(P) in chars

Definition at line 151 of file dhm.h.

mbedtls_mpi mbedtls_dhm_context::P

prime modulus

Definition at line 152 of file dhm.h.

mbedtls_mpi mbedtls_dhm_context::pX

previous X

Definition at line 161 of file dhm.h.

mbedtls_mpi mbedtls_dhm_context::RP

cached R^2 mod P

Definition at line 158 of file dhm.h.

mbedtls_mpi mbedtls_dhm_context::Vf

un-blinding value

Definition at line 160 of file dhm.h.

mbedtls_mpi mbedtls_dhm_context::Vi

blinding value

Definition at line 159 of file dhm.h.

mbedtls_mpi mbedtls_dhm_context::X

secret value

Definition at line 154 of file dhm.h.

The documentation for this struct was generated from the following file:

- dhm.h